Fetch a Message Operation

This operation fetches a single Message Operation using its ID.

Data retention: Records are available for 7 days after creation. Requests for data older than 7 days may return incomplete results.

Authentication

AuthorizationBasic

Basic authentication of the form Basic <account_id:auth_token>.

OR
AuthorizationBasic

Basic authentication of the form Basic <api_key:api_key_secret>.

Path parameters

operationIdstringRequired

Response

OK
idstringformat: "^comms_operation_[0-7][a-hjkmnpqrstv-z0-9]{25,34}"
The Operation ID is an identifier that can be used to correlate all of the resources created in a request. Issue a GET request to the resource list location, using the Operation ID as a query parameter to retrieve the resources that correlate with the Operation.
statusenum
The status of an Operation.
statsobject

Represents the stats of a sending operation of one or many communications resources, such as Messages and Emails.

  • total is the total number of Messages in the Operation.

    • To get the status for each individual Message, fetch the resource with: GET /Messages/{messageId}.

    • For group communications, where there is more than one recipient per communication resource use Receipts e.g. GET /Messages/{messageId}/Receipts.

  • recipients is the total number of recipients targeted in an Operation.

  • attempts is the total number of sending attempts made by Twilio.

  • unaddressable is the number of recipients to which no sending attempts were made because a valid match could not be found between the available addresses for the recipient (to) and sender (from).

  • scheduled is the number of Messages that are scheduled to be sent by Twilio in the future.

  • queued is the number of Messages that are queued in Twilio for sending.

  • sent is the number of Messages that have been sent by Twilio.

  • delivered is the number of Messages that have been successfully delivered to recipients.

  • read is the number of Messages that have been read by recipients.

  • undelivered is the number of Messages that were successfully sent by Twilio but have not been delivered to the recipient.

  • failed is the number of Messages that failed during processing by Twilio. Get Errors with GET /Messages/Operations/{operationId}/Errors fore more detail.

  • canceled is the number of Messages that were canceled via API request.

createdAtstringformat: "date-time"
updatedAtstringformat: "date-time"

Errors

400
Bad Request Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error
503
Service Unavailable Error